Subject: Re: Home Directory SharePoint

From: Deano! <[email-masked]>
Date: Sun, 30 Dec 2001 17:08:57 -0800

On Sunday, December 30, 2001, at 04:55  PM, Marvin Adams wrote:

> Well, Linux is telling me that the home directory does not exist when I
> login from the command line.  I can, however, cd right to it.  
> Permissions
> are set 770.  Owner is the user and group is a group to which he 
> belongs.
>
There's your answer, then. In Linux, the home directory of a user can be 
anything*, not just /home/~... So, probably the easiest fix would be to 
look in /etc/passwd, see what it says the home is, and alter that to 
what you want... If you're using LDAP or something else, it should be 
easy to browse the directory structure to find where it wants 'home' to 
be. If all the users share this problem (say, everyone is looking for 
'/var/home/username' instead of '/home/username'), just make a soft link 
from the actual home to the one Linux wants to see.

If it's complaining that it can't find the home, and one exists in that 
exact location, just double-check of case settings, typos, etc. If 
Chmodding it 777 fixes things, then it's just a permissions issue.

To me, the fact that Linux complains when logging in as the user means 
that the Linux side is messed up somehow. Oh yeah, try making a user 
using 'useradd', but include the home directory (-d?) switch and force 
it into the right place. Once you do that, I bet at least for that* 
user, the home directory will appear in the chooser.

-deano

>
> ----- Original Message -----
> From: "Deano!" <[email-masked]>
> To: "Marvin Adams" <[email-masked]>
> Sent: Sunday, December 30, 2001 3:54 PM
> Subject: Re: Home Directory SharePoint
>
>
>>
>> On Sunday, December 30, 2001, at 01:42  PM, Marvin Adams wrote:
>>
>>> The (~) is there.  In fact I tried it both with the (~) and without.
>>>
>> Try logging into the server as several different users... Also try
>> su'ing on the linux side as* the user, to make sure they have a valid
>> home directory setup that the unix side recognizes.
>>
>>
>>
>>
>>>
>>>
>>>
>>> ----- Original Message -----
>>> From: <[email-masked]>
>>> To: "Marvin Adams" <[email-masked]>
>>> Cc: <[email-masked]>
>>> Sent: Sunday, December 30, 2001 1:06 PM
>>> Subject: Re: Home Directory SharePoint
>>>
>>>
>>>>
>>>> Marvin,
>>>>
>>>> Apologies if someone else has already suggested this, but is the last
>>>> line
>>>> of your AppleVolumes.default file a tilde (~) on a line by itself? I
>>>> believe this is the directive that shares homedirs, and if you're a 
>>>> vi
>>>> user like me, this can sometimes get missed: vi displays empty lines
>>>> between the end of a file and the bottom of your terminal with a 
>>>> single
>>>> tilde in each.
>>>>
>>>> Best,
>>>>
>>>> -sth
>>>>
>>>> --
>>>> Sam Hooker
>>>> Computer Audio/WWW Services
>>>> hbc, LLC
>>>> (802)846-1845
>>>> www.hbconcoctions.com
>>>>
>>>> On Sun, 30 Dec 2001, Marvin Adams wrote:
>>>>
>>>>> I think I am on my last hurddle incorporating a Linux document 
>>>>> server
>>> for
>>>>> our OS X / MM school network.
>>>>>
>>>>> On previous Linux servers, when I created a user, with a home
>>>>> directory,
>>> and
>>>>> made sure the user was a member of the group which was assigned to 
>>>>> the
>>> home
>>>>> directory, the directory would show up as a sharepoint when the user
>>> logged
>>>>> in with the chooser.  The sharepoint does not appear on this server
>>>>> for
>>> some
>>>>> reason even though, I believe, that all of my AppleTalk 
>>>>> configuration
>>> files
>>>>> are identical to the ones that work.  I assume that I am 
>>>>> overlooking a
>>>>> config file but I have no ideas left on where to look.
>>>>>
>>>>> Any help pointing me in the right direction would be appreciated.
>>>>>
>>>>>
>>>>>
>>>>
>>>>
>>>
>>
>>
>